> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an article

Delete an article from the Knowledge Base. The article is removed from all collections it belongs to, and collection sort orders are automatically adjusted. The article is removed from the knowledge base structure and search indexes. If the article had a URL that changes due to deletion, internal references are updated to prevent broken links.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json delete /knowledge/articles/{id}
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /knowledge/articles/{id}:
    delete:
      tags:
        - Knowledge Articles
      summary: Delete an article
      description: >-
        Delete an article from the Knowledge Base. The article is removed from
        all collections it belongs to, and collection sort orders are
        automatically adjusted. The article is removed from the knowledge base
        structure and search indexes. If the article had a URL that changes due
        to deletion, internal references are updated to prevent broken links.
      operationId: deleteArticle
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the article to delete.
      responses:
        '200':
          description: Article deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '404':
          description: Article not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````